PHPにZipArchiveを入れる

PHPExcelを使おうとしてZipArchiveのエラーがでたときの対処です。

事前条件など

インストール

# yum install php-devel
# yum install zlib-devel
# pecl install zip
# vi /etc/php.ini
extension=zip.so
# /etc/init.d/httpd restart

上で問題なければOK

# pecl install zip
pecl/zip requires PEAR Installer (version >= 1.7.0), installed version is 1.4.9
No valid packages found
install failed

このようなエラーがでたときは、下記でバージョンを指定する。

# pecl install zip-1.8.10.tgz

参考

広告